Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.text
Class FieldPosition

    java.lang.Object
      |
      +--java.text.FieldPosition

public class FieldPosition
extends Object

`FieldPosition` is a simple class used by `Format` and its subclasses to identify fields in formatted output. Fields are identified by constants, whose names typically end with `_FIELD`, defined in the various subclasses of `Format`. See `ERA_FIELD` and its friends in `DateFormat` for an example.

`FieldPosition` keeps track of the position of the field within the formatted output with two indices: the index of the first character of the field and the index of the last character of the field.

One version of the `format` method in the various `Format` classes requires a `FieldPosition` object as an argument. You use this `format` method to perform partial formatting or to get information about the formatted output (such as the position of a field).

See Also:
  `Format`

Constructor Summary
`FieldPosition(int field)` Creates a FieldPosition object for the given field.

Method Summary
`boolean` | `equals(Object obj)` Overrides equals
`int` | `getBeginIndex()` Retrieves the index of the first character in the requested field.
`int` | `getEndIndex()` Retrieves the index of the character following the last character in the requested field.
`int` | `getField()` Retrieves the field identifier.
`int` | `hashCode()` Returns a hash code for this FieldPosition.
`void` | `setBeginIndex(int bi)` Sets the begin index.
`void` | `setEndIndex(int ei)` Sets the end index.
`String` | `toString()` Return a string representation of this FieldPosition.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldPosition

    public FieldPosition(int field)

  Creates a FieldPosition object for the given field. Fields are identified by constants, whose names typically end with _FIELD, in the various subclasses of Format.
  See Also:
    `NumberFormat.INTEGER_FIELD`, `NumberFormat.FRACTION_FIELD`, `DateFormat.YEAR_FIELD`, `DateFormat.MONTH_FIELD`

Method Detail

### getField

    public int getField()

  Retrieves the field identifier.

### getBeginIndex

    public int getBeginIndex()

  Retrieves the index of the first character in the requested field.

### getEndIndex

    public int getEndIndex()

  Retrieves the index of the character following the last character in the requested field.

### setBeginIndex

    public void setBeginIndex(int bi)

  Sets the begin index. For use by subclasses of Format.

### setEndIndex

    public void setEndIndex(int ei)

  Sets the end index. For use by subclasses of Format.

### equals

    public boolean equals(Object obj)

  Overrides equals
  Overrides:
    `equals` in class `Object`
  Following copied from class: `java.lang.Object`
  Parameters:
    `obj` - the reference object with which to compare.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.
  See Also:
    `Boolean.hashCode()`, `Hashtable`

### hashCode

    public int hashCode()

  Returns a hash code for this FieldPosition.
  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash code value for this object

### toString

    public String toString()

  Return a string representation of this FieldPosition.
  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.